> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Deal

> Update an existing deal



## OpenAPI

````yaml patch /deal
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /deal:
    patch:
      tags:
        - Deal
      summary: Update Deal
      description: Update an existing deal
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          schema:
            type: string
        - name: created_at
          in: query
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: contact_id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of the deal
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: type_key
          in: query
          description: Type Key
          schema:
            type: string
        - name: status_key
          in: query
          description: Status Key
          schema:
            type: string
        - name: assignee_id
          in: query
          description: Assignee ID
          schema:
            type: string
        - name: value
          in: query
          description: Value of the deal
          schema:
            type: string
        - name: currency
          in: query
          description: Currency of the deal
          schema:
            type: string
        - name: won_at
          in: query
          description: Won at timestamp
          schema:
            type: string
        - name: lost_at
          in: query
          description: Lost at timestamp
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/deal'
        description: deal
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deal'
          description: The updated Deal object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    deal:
      type: object
      properties:
        id:
          type: string
          format: uuid
          default: random uuid
        created_at:
          type: string
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        contact_id:
          type: string
          description: Contact ID
          format: uuid
        name:
          type: string
          description: Name of the deal
          format: text
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        type_key:
          type: string
          description: Type Key
          format: text
        status_key:
          type: string
          description: Status Key
          format: text
        assignee_id:
          type: string
          description: Assignee ID
          format: uuid
          nullable: true
        value:
          type: number
          description: Value of the deal
          format: numeric
          nullable: true
        currency:
          type: string
          description: Currency of the deal
          format: public.currency
          enum:
            - EUR
            - CHF
            - USD
          default: EUR
        won_at:
          type: string
          description: Won at timestamp
          format: timestamp with time zone
          nullable: true
        lost_at:
          type: string
          description: Lost at timestamp
          format: timestamp with time zone
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````